Please remove src:mysql-5.7 from the archive

Bug #1842097 reported by Robie Basak on 2019-08-30
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mysql-5.7 (Ubuntu)
Undecided
Unassigned

Bug Description

This source package is superseded by src:mysql-8.0.

Robie Basak (racb) wrote :

mysql-client and mysql-server are provided by src:mysql-8.0.

For sysbench, see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=906982 - I believe removal of the armhf build from the release pocket should suffice to bring us in line with Debian. This needs addressing before this removal of src:mysql-5.7.

For the other reverse dependencies that mention 5.7 directly, alternatives available that are provided by src:mysql-8.0. tcl8.6-tdbc-mysql is interesting: by use of dlopen(), multiple ABIs are supported at once, including the src:mysql-8.0 successor libmysqlclient21 and dependency alternatives are correctly declared.

$ reverse-depends src:mysql-5.7
Reverse-Recommends
==================
* bley (for mysql-client)
* icinga-idoutils (for mysql-client)
* moodle (for mysql-server)

Reverse-Depends
===============
* akonadi-backend-mysql (for mysql-server-core-5.7)
* akonadi-backend-mysql (for mysql-client-core-5.7)
* automysqlbackup (for mysql-client)
* beancounter (for mysql-client)
* default-libmysqlclient-dev (for libmysqlclient-dev)
* kannel-dev (for libmysqlclient-dev)
* libmysqlclient21 (for mysql-common)
* lyricue (for mysql-server)
* mariadb-common (for mysql-common)
* moodle (for mysql-client)
* mysql-client-8.0 (for mysql-common)
* mysql-server-8.0 (for mysql-common)
* mythexport (for mysql-client)
* mythimport (for mysql-client)
* mythtv (for mysql-server-5.7)
* mythtv-backend-master (for mysql-server-5.7)
* mythtv-common (for mysql-client-5.7)
* mythtv-database (for mysql-client-5.7)
* octopussy (for mysql-server)
* opendnssec-enforcer-mysql (for mysql-client)
* percona-xtrabackup-test (for mysql-client)
* percona-xtradb-cluster-server-5.7 (for mysql-common)
* percona-xtradb-cluster-server-5.7 (for mysql-client)
* postgresql-11-mysql-fdw (for libmysqlclient-dev)
* sysbench [amd64 arm64 i386 ppc64el] (for libmysqlclient20)
* tcl8.6-tdbc-mysql (for libmysqlclient20)

Packages without architectures listed are reverse-dependencies in: amd64, arm64, armhf, i386, ppc64el, s390x

Steve Langasek (vorlon) wrote :

Removing packages from eoan-proposed:
 sysbench 1.0.15+ds-1build1 in eoan armhf
Comment: ANAIS
1 package successfully removed.

Steve Langasek (vorlon) wrote :
Download full text (3.4 KiB)

Removing packages from eoan:
 mysql-5.7 5.7.27-0ubuntu2 in eoan
  libmysqlclient20 5.7.27-0ubuntu2 in eoan amd64
  libmysqlclient20 5.7.27-0ubuntu2 in eoan arm64
  libmysqlclient20 5.7.27-0ubuntu2 in eoan armhf
  libmysqlclient20 5.7.27-0ubuntu2 in eoan i386
  libmysqlclient20 5.7.27-0ubuntu2 in eoan ppc64el
  libmysqlclient20 5.7.27-0ubuntu2 in eoan s390x
  libmysqld-dev 5.7.27-0ubuntu2 in eoan amd64
  libmysqld-dev 5.7.27-0ubuntu2 in eoan arm64
  libmysqld-dev 5.7.27-0ubuntu2 in eoan armhf
  libmysqld-dev 5.7.27-0ubuntu2 in eoan i386
  libmysqld-dev 5.7.27-0ubuntu2 in eoan ppc64el
  libmysqld-dev 5.7.27-0ubuntu2 in eoan s390x
  mysql-client 5.7.27-0ubuntu2 in eoan amd64
  mysql-client 5.7.27-0ubuntu2 in eoan arm64
  mysql-client 5.7.27-0ubuntu2 in eoan armhf
  mysql-client 5.7.27-0ubuntu2 in eoan i386
  mysql-client 5.7.27-0ubuntu2 in eoan ppc64el
  mysql-client 5.7.27-0ubuntu2 in eoan s390x
  mysql-client-5.7 5.7.27-0ubuntu2 in eoan amd64
  mysql-client-5.7 5.7.27-0ubuntu2 in eoan arm64
  mysql-client-5.7 5.7.27-0ubuntu2 in eoan armhf
  mysql-client-5.7 5.7.27-0ubuntu2 in eoan i386
  mysql-client-5.7 5.7.27-0ubuntu2 in eoan ppc64el
  mysql-client-5.7 5.7.27-0ubuntu2 in eoan s390x
  mysql-client-core-5.7 5.7.27-0ubuntu2 in eoan amd64
  mysql-client-core-5.7 5.7.27-0ubuntu2 in eoan arm64
  mysql-client-core-5.7 5.7.27-0ubuntu2 in eoan armhf
  mysql-client-core-5.7 5.7.27-0ubuntu2 in eoan i386
  mysql-client-core-5.7 5.7.27-0ubuntu2 in eoan ppc64el
  mysql-client-core-5.7 5.7.27-0ubuntu2 in eoan s390x
  mysql-server 5.7.27-0ubuntu2 in eoan amd64
  mysql-server 5.7.27-0ubuntu2 in eoan arm64
  mysql-server 5.7.27-0ubuntu2 in eoan armhf
  mysql-server 5.7.27-0ubuntu2 in eoan i386
  mysql-server 5.7.27-0ubuntu2 in eoan ppc64el
  mysql-server 5.7.27-0ubuntu2 in eoan s390x
  mysql-server-5.7 5.7.27-0ubuntu2 in eoan amd64
  mysql-server-5.7 5.7.27-0ubuntu2 in eoan arm64
  mysql-server-5.7 5.7.27-0ubuntu2 in eoan armhf
  mysql-server-5.7 5.7.27-0ubuntu2 in eoan i386
  mysql-server-5.7 5.7.27-0ubuntu2 in eoan ppc64el
  mysql-server-5.7 5.7.27-0ubuntu2 in eoan s390x
  mysql-server-core-5.7 5.7.27-0ubuntu2 in eoan amd64
  mysql-server-core-5.7 5.7.27-0ubuntu2 in eoan arm64
  mysql-server-core-5.7 5.7.27-0ubuntu2 in eoan armhf
  mysql-server-core-5.7 5.7.27-0ubuntu2 in eoan i386
  mysql-server-core-5.7 5.7.27-0ubuntu2 in eoan ppc64el
  mysql-server-core-5.7 5.7.27-0ubuntu2 in eoan s390x
  mysql-source-5.7 5.7.27-0ubuntu2 in eoan amd64
  mysql-source-5.7 5.7.27-0ubuntu2 in eoan arm64
  mysql-source-5.7 5.7.27-0ubuntu2 in eoan armhf
  mysql-source-5.7 5.7.27-0ubuntu2 in eoan i386
  mysql-source-5.7 5.7.27-0ubuntu2 in eoan ppc64el
  mysql-source-5.7 5.7.27-0ubuntu2 in eoan s390x
  mysql-testsuite 5.7.27-0ubuntu2 in eoan amd64
  mysql-testsuite 5.7.27-0ubuntu2 in eoan arm64
  mysql-testsuite 5.7.27-0ubuntu2 in eoan armhf
  mysql-testsuite 5.7.27-0ubuntu2 in eoan i386
  mysql-testsuite 5.7.27-0ubuntu2 in eoan ppc64el
  mysql-testsuite 5.7.27-0ubuntu2 in eoan s390x
  mysql-testsuite-5.7 5.7.27-0ubuntu2 in eoan amd64
  mysql-testsuite-5.7 5.7.27-0ubuntu2 in eoan arm64
  mysql-testsuite-5.7 5.7.27-0...

Read more...

Changed in mysql-5.7 (Ubuntu):
status: New → Fix Released
Giacomo Pozzoni (jackpoz) wrote :

Is there any way to upgrade from Ubuntu 19.04 to Ubuntu 19.10 while keeping MySQL 5.7 ?
I have this requirement as some applications I use are incompatible with MySQL 8.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.